// @ts-check
import { defineConfig } from "astro/config";
import tailwindcss from "@tailwindcss/vite";

import vue from "@astrojs/vue";
import mdx from "@astrojs/mdx";
import icon from "astro-icon";
import vercel from "@astrojs/vercel";

// https://astro.build/config
export default defineConfig({
  site: 'https://pangestu.vercel.app',
  adapter: vercel(),
  integrations: [vue(), mdx(), icon()],
  vite: {
    plugins: [tailwindcss()],
  },
});